.TH WMF 1 "December 1997"
.UC 4

.SH NAME
wmfrc \- Configuration file for wmf.

.SH DESCRIPTION
Use the configuration file for all configurational features of wmf.
Wmf is looking for .wmfrc as default if nothing else defined.

.SH COMMANDS
Available command line options are the following:
.TP
AboutLink = <Text>
If this link presents it will be placed to the index section.
.TP
AuthorCaseSort = 0n|Off
Sorting the author index case senitive
.TP
AuthorEmailSort = 0n|Off
Sorting the author index by email address.
.TP
BodyHtmlConvert = 0n|Off
Turning html convert of the mail-body on/off.
.TP
BodyLinkEmail = 0n|Off
Turning email detecting in the mail-body on/off.
.TP
BodyLinkUrl = 0n|Off
Turning url detecting in the mail-body on/off.
.TP
BodyReplyChars = <Text>
Defining characters who indicate the begin of reply text. As example ">".
.TP
DayLimit = <Number>
Mails older then <Number> days won't be listed in the indexes.
0 = no limit (default=0).
.TP
DebugLevel = <Number>
Debug level (Bit0=Functions Bit1=Information Bit2=Fileoperations)
.TP
Directory = <Text>
Where all the files write to (default ./)
.TP
DocEndFile = <Text>
Includefile for the end of the document
.TP
DocStartFile = <Text>
Includefile for the begin of the document
.TP
Extension = <Text>
Define the file extension (default=".html").
.TP
FaceDirectory = <Text>
Directory where to store the face files. Attention: This directory is
RELATIVE to the html directory.
.TP
FaceNoData = <Text>
What to include, if there are no face datas.
.TP
FaceSupport = 0n|Off
Turn face support on/off.
.TP
FilePermission = <Number>
Set file permission after creation. Numeric mode only like chown (1)
.TP
FolderName = <Text>
Name of the mail folder.
.TP
FrameNameIndex = <Text>
Name of the frame where the index is.
.TP
FrameNameText = <Text>
Name of the frame where the mailtext is.
.TP
FrameNameTitle = <Text>
Name of the frame where the title is.
.TP
FrameSupport = 0n|Off
Turn frame support on/off.
.TP
HtmlBodyStart = <Text>
Replacement for <BODY>
.TP
HtmlBodyEnd = <Text>
Replacement for </BODY>
.TP
HtmlSeparator = <Text>
Replacement for <HR>
.TP
HtmlReplyStart = <Text>
If you want display the reply text italic put a <I> here.
.TP
HtmlReplyEnd = <Text>
If you want display the reply text italic put a </I> here.
.TP
IndexAuthor = 0n|Off
Turning indexing by author (author.html) on/off.
.TP
IndexDate = 0n|Off
Turning indexing by date (date.html) on/off.
.TP
IndexSubject = 0n|Off
Turning indexing by subject (subject.html) on/off.
.TP
IndexThread = 0n|Off
Turning indexing by thread (thread.html) on/off.
.TP
LineSize = <Number>
Lines greater then the defined limit will be breaked at the last
space. If there wasn't any space the search continues to the next after the
limit. If there isn't ANY space in the whole line, no breakes.
.TP
MailboxFile = <Text>
Name of the mailbox file, - is used for stdin.
.TP
MailCommand = <Text>
Mail-command (default MAILTO:)
.TP
MessageCount = 0n|Off
Print the amount of messages in the first page of every index file.
.TP
NewSubjectThread = 0n|Off 
Make a new Thread if the Subject changes in a reply.
.TP
PageSize = <Number>
Lines / page index. 0 = only one page (default 0).
Threads won't be brocken.
.TP
SortOrder = NewFirst|NewLast
Define sorting
.TP
Statistics = 0n|Off
Turn statistic on/off.
.TP
SubjectCaseSort = 0n|Off
Sorting the subject index case senitive
.TP
ThreadCaseSort = 0n|Off
Sorting the thread index case senitive
.TP
WriteMode = <Number>
Write-mode (0=indexing 1=overwrite 2=append 3=append no index).
.B Mode 0:
If you made changes manual or anything went wrong until indexing.
.B Mode 1:
If you want to start from scratch witch one big mbox file.
.I Warning: All files in the directory will be deleted !!!
.B Mode 2:
If you want to extend an existing archive.
.B Mode 3:
Specialy made if you need to convert emails stored in single files. After
converting all files you can call WMF again in Mode 0 for indexing.

.SH AUTHOR
.NF
Norbert Kuemin <norbert.kuemin@gmx.net>
.FI

.LP
.SH FILES
.NF
~/.wmfrc
.FI

.LP
.SH SEE ALSO
.NF
wmf (1)
.FI

.SH NOTES
.NF
Thanks to all the people, who sent emails with bug-reports and suggestions.
.FI

.SH BUGS
.NF
There will always rest one bug (Murphys law). If you find it, so please
report it to Norbert.Kuemin@gmx.net
.FI

.SH COPYRIGHT
.NF
Copyright 1996, 1997 by Norbert Kuemin.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.FI
